Album: 'Reminders Of You [Beta]'
Date: March 22, 2021
Date Added: October 25, 2023
URLs:
- https://vasterror.bandcamp.com/album/reminders-of-you-beta
Artists:
- Alex Votl
Cover Artists:
- Tyson Northcutt
Cover Art File Extension: png
Track Art File Extension: png
Color: '#FDFD8A'
Groups:
- Deconreconstruction
- Fandom
---
Track: 'SIDE 1: Who You Were [Beta]'
Duration: 02:15
URLs:
- https://vasterror.bandcamp.com/track/side-1-who-you-were-beta
---
Track: 'Loss Of Innocence [Beta]'
Duration: 04:09
URLs:
- https://vasterror.bandcamp.com/track/loss-of-innocence-beta
---
Track: 'Still Here [Beta]'
Duration: 03:21
Referenced Tracks:
- I'm Right Here
- Arcjec's Theme
URLs:
- https://vasterror.bandcamp.com/track/still-here-beta
---
Track: 'Fixer-Upper [Beta]'
Duration: 03:15
# Sampled Tracks:
# - SFX from Super Smash Bros
URLs:
- https://vasterror.bandcamp.com/track/fixer-upper-beta
---
Track: 'Face Yourself [Beta]'
Duration: 03:44
Referenced Tracks:
- All Star
- track:faint-linkin-park
URLs:
- https://vasterror.bandcamp.com/track/side-1-who-you-were-beta
